Main Page Modules Data Structures File List Data Fields Globals Related Pages

# hdrObject_s Struct Reference
[PYTHON., PYTHON.]

## Data Fields
PyObject_HEAD Header | h
char ** | md5list
char ** | fileList
char ** | linkList
int_32 * | fileSizes
int_32 * | mtimes
int_32 * | uids
int_32 * | gids
unsigned short * | rdevs
unsigned short * | modes

## Field Documentation

char** hdrObject_s::fileList

| Definition at line 97 of file header-py.c. Referenced by hdr_Wrap, and rpmMergeHeaders.

int_32* hdrObject_s::fileSizes

| Definition at line 99 of file header-py.c. Referenced by hdr_Wrap.

int_32 * hdrObject_s::gids

| Definition at line 101 of file header-py.c. Referenced by hdr_Wrap.

PyObject_HEAD Header hdrObject_s::h

| Definition at line 95 of file header-py.c. Referenced by hdr_Wrap, hdrGetHeader, and rpmMergeHeaders.

char** hdrObject_s::linkList

| Definition at line 98 of file header-py.c. Referenced by hdr_Wrap, and rpmMergeHeaders.

char** hdrObject_s::md5list

| Definition at line 96 of file header-py.c. Referenced by hdr_Wrap, and rpmMergeHeaders.

unsigned short* hdrObject_s::modes

| Definition at line 103 of file header-py.c. Referenced by hdr_Wrap.

int_32* hdrObject_s::mtimes

| Definition at line 100 of file header-py.c. Referenced by hdr_Wrap.

unsigned short* hdrObject_s::rdevs

| Definition at line 102 of file header-py.c. Referenced by hdr_Wrap.

int_32* hdrObject_s::uids

| Definition at line 101 of file header-py.c. Referenced by hdr_Wrap.

The documentation for this struct was generated from the following file:

- python/header-py.c